package com.faraphel.tasks_valider.connectivity.task.session


/**
 * A role system that can be used for in the task system
 */
enum class TaskRole(val value: String) {
    NONE("none") {
        override var permissions: List<TaskPermission> = listOf()
    },
    STUDENT("student") {
        override var permissions = listOf(
            TaskPermission.READ
        )
    },
    TEACHER("teacher") {
        override var permissions: List<TaskPermission> = listOf(
            TaskPermission.READ,
            TaskPermission.WRITE
        )
    },
    ADMIN("admin") {
        override var permissions: List<TaskPermission> = listOf(
            TaskPermission.READ,
            TaskPermission.WRITE,
            TaskPermission.ADMIN
        )
    };

    abstract var permissions: List<TaskPermission>
}
