package com.faraphel.tasks_valider.database.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import com.faraphel.tasks_valider.database.entities.base.BaseEntity

@Entity(
    tableName = RelationClassPersonEntity.TABLE_NAME,
    primaryKeys = [
        "student_id",
        "class_id",
    ],
    foreignKeys = [
        ForeignKey(
            entity = PersonEntity::class,
            parentColumns = ["id"],
            childColumns = ["student_id"],
            onDelete = ForeignKey.CASCADE
        ),
        ForeignKey(
            entity = ClassEntity::class,
            parentColumns = ["id"],
            childColumns = ["class_id"],
            onDelete = ForeignKey.CASCADE
        ),
    ]
)
data class RelationClassPersonEntity (
    @ColumnInfo("student_id", index = true) val studentId: Long,
    @ColumnInfo("class_id", index = true) val classId: Long,
) : BaseEntity() {
    companion object {
        const val TABLE_NAME = "relation_class_person"
    }
}
