package com.faraphel.tasks_valider.database.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.PrimaryKey
import com.faraphel.tasks_valider.database.entities.base.BaseEntity
import java.time.Instant

@Entity(
    tableName = SessionEntity.TABLE_NAME,
    foreignKeys = [
        ForeignKey(
            entity = ClassEntity::class,
            parentColumns = ["id"],
            childColumns = ["class_id"],
            onDelete = ForeignKey.CASCADE
        ),
    ]
)
data class SessionEntity (
    @ColumnInfo("id") @PrimaryKey(autoGenerate = true) val id: Long = 0,
    @ColumnInfo("name") val name: String? = null,
    @ColumnInfo("start") val start: Instant,

    @ColumnInfo("class_id", index = true) val classId: Long? = null,
) : BaseEntity() {
    companion object {
        const val TABLE_NAME = "sessions"
    }
}
