package com.faraphel.tasks_valider.database.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.PrimaryKey
import com.faraphel.tasks_valider.database.entities.base.BaseEntity

@Entity(
    tableName = TaskEntity.TABLE_NAME,
    foreignKeys = [
        ForeignKey(
            entity = SubjectEntity::class,
            parentColumns = ["id"],
            childColumns = ["subject_id"],
            onDelete = ForeignKey.CASCADE
        ),
    ]
)
data class TaskEntity (
    @ColumnInfo("id") @PrimaryKey(autoGenerate = true) val id: Long = 0,
    @ColumnInfo("title") val title: String,
    @ColumnInfo("description") val description: String? = null,
    @ColumnInfo("order") val order: Int,  ///< the order of the task in the list of the subject

    @ColumnInfo("subject_id", index = true) val subjectId: Long,
) : BaseEntity() {
    companion object {
        const val TABLE_NAME = "tasks"
    }
}
