package com.faraphel.tasks_valider.ui.screen.authentification

import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.MutableState
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import com.faraphel.tasks_valider.connectivity.task.session.TaskRole
import com.faraphel.tasks_valider.database.entities.PersonEntity


/**
 * Authentification screen where the host can give his information
 */
@Composable
fun AuthentificationServerScreen(personEntity: MutableState<PersonEntity?>) {
    val firstName = remember { mutableStateOf("") }
    val lastName = remember { mutableStateOf("") }

    Column {
        // first name
        TextField(
            value = firstName.value,
            onValueChange = { text -> firstName.value = text },
        )

        // last name
        TextField(
            value = lastName.value,
            onValueChange = { text -> lastName.value = text },
        )

        // confirm button
        Button(onClick = {
            // create the person entity with the given information
            personEntity.value = PersonEntity(
                firstName = firstName.value,
                lastName = lastName.value,
                role = TaskRole.ADMIN
            )
        }) {
            Text("Submit")
        }
    }
}
